package com.koydummu;

import android.app.Activity;
import android.os.Bundle;
import android.widget.EditText;

public class BaseUserGridActivity extends Activity {
	
	protected MyApplication myApp;
	protected UserGridController usergridController;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		myApp = (MyApplication) this.getApplication();
		usergridController = myApp.usergridController;
		if (usergridController.getApigeeClient() == null) {
			usergridController.initialize(this.getApplicationContext());
		}
	}
	
	protected String getTextValue(Integer viewId) {
		EditText editText = (EditText) findViewById(viewId);
		if (editText == null)
			return null;
		return editText.getText().toString();
	}

}

