package com.koydummu;


import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.apigee.sdk.data.client.entities.User;
import com.apigee.sdk.data.client.response.ApiResponse;


public class Login extends BaseUserGridActivity implements OnClickListener {

	EditText mUserName;
	EditText mPassword;
	Button mLogin;
	Button mSignup;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_login);
		
		mUserName = (EditText) findViewById(R.id.username);
		mPassword = (EditText) findViewById(R.id.password);
		mLogin = (Button) findViewById(R.id.sign_up_button);
		mLogin.setOnClickListener(this);
		
		mSignup = (Button) findViewById(R.id.log_in_button);		
		mSignup.setOnClickListener(this);

	}
	
	
	public void onClick(View v)
	{
		int tiklananButonId = v.getId();
		
		if(tiklananButonId == R.id.log_in_button) {
			login();
		} else if (tiklananButonId == R.id.sign_up_button) {
			//kayit sayfasini goster
			Intent i = new Intent(Login.this,CreateUser.class);
			startActivity(i);
		}
	}
	
	private void login() 
	{
		String u = mUserName.getText().toString();
		String p = mPassword.getText().toString();
		
		ApiResponse apiResponse = usergridController.login(u, p);
		User user = null;
		if (apiResponse != null) {
			user = apiResponse.getUser();
			System.out.println(user.getUsername());
		}
		
		if(user != null)
		{
			
			Toast.makeText(getApplicationContext(), "basarili",
					   Toast.LENGTH_LONG).show();


			
		}
		else
		{
			Toast.makeText(getApplicationContext(), "hatali",
					   Toast.LENGTH_LONG).show();
		}
		
	}
	
}	